.. currentmodule:: torch.overrides

torch.overrides
---------------
.. py:module:: torch.overrides

This module exposes various helper functions for the ``__torch_function__``
protocol. See :ref:`extending-torch-python` for more details on the
``__torch_function__`` protocol.

Functions
~~~~~~~~~

.. autofunction::  get_ignored_functions

.. autofunction::  get_overridable_functions

.. autofunction::  resolve_name

.. autofunction::  get_testing_overrides

.. autofunction::  handle_torch_function

.. autofunction::  has_torch_function

.. autofunction::  is_tensor_like

.. autofunction::  is_tensor_method_or_property

.. autofunction::  wrap_torch_function
